PageRenderTime 68ms CodeModel.GetById 13ms app.highlight 49ms RepoModel.GetById 1ms app.codeStats 0ms

/tests/Makefile.in

https://code.google.com/
Autoconf | 692 lines | 625 code | 48 blank | 19 comment | 107 complexity | c647d7286c1888e10822929b2eeda684 MD5 | raw file
  1# Makefile.in generated by automake 1.9.6 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005  Free Software Foundation, Inc.
  6# This Makefile.in is free software; the Free Software Foundation
  7# gives unlimited permission to copy and/or distribute it,
  8# with or without modifications, as long as this notice is preserved.
  9
 10# This program is distributed in the hope that it will be useful,
 11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 13# PARTICULAR PURPOSE.
 14
 15@SET_MAKE@
 16srcdir = @srcdir@
 17top_srcdir = @top_srcdir@
 18VPATH = @srcdir@
 19pkgdatadir = $(datadir)/@PACKAGE@
 20pkglibdir = $(libdir)/@PACKAGE@
 21pkgincludedir = $(includedir)/@PACKAGE@
 22top_builddir = ..
 23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 24INSTALL = @INSTALL@
 25install_sh_DATA = $(install_sh) -c -m 644
 26install_sh_PROGRAM = $(install_sh) -c
 27install_sh_SCRIPT = $(install_sh) -c
 28INSTALL_HEADER = $(INSTALL_DATA)
 29transform = $(program_transform_name)
 30NORMAL_INSTALL = :
 31PRE_INSTALL = :
 32POST_INSTALL = :
 33NORMAL_UNINSTALL = :
 34PRE_UNINSTALL = :
 35POST_UNINSTALL = :
 36build_triplet = @build@
 37host_triplet = @host@
 38target_triplet = @target@
 39subdir = tests
 40DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 42am__aclocal_m4_deps = $(top_srcdir)/config/ac_connect_timeout.m4 \
 43	$(top_srcdir)/config/ac_debug.m4 \
 44	$(top_srcdir)/config/ac_dmalloc.m4 \
 45	$(top_srcdir)/config/ac_dshgroup.m4 \
 46	$(top_srcdir)/config/ac_elan.m4 \
 47	$(top_srcdir)/config/ac_exec.m4 \
 48	$(top_srcdir)/config/ac_fanout.m4 \
 49	$(top_srcdir)/config/ac_genders.m4 \
 50	$(top_srcdir)/config/ac_gpl_licensed.m4 \
 51	$(top_srcdir)/config/ac_krb4.m4 \
 52	$(top_srcdir)/config/ac_machines.m4 \
 53	$(top_srcdir)/config/ac_meta.m4 \
 54	$(top_srcdir)/config/ac_mqshell.m4 \
 55	$(top_srcdir)/config/ac_mrsh.m4 \
 56	$(top_srcdir)/config/ac_msghdr_accrights.m4 \
 57	$(top_srcdir)/config/ac_netgroup.m4 \
 58	$(top_srcdir)/config/ac_nodeattr.m4 \
 59	$(top_srcdir)/config/ac_nodeupdown.m4 \
 60	$(top_srcdir)/config/ac_pam.m4 \
 61	$(top_srcdir)/config/ac_pollselect.m4 \
 62	$(top_srcdir)/config/ac_qshell.m4 \
 63	$(top_srcdir)/config/ac_rcmd_rank_list.m4 \
 64	$(top_srcdir)/config/ac_readline.m4 \
 65	$(top_srcdir)/config/ac_rmsquery.m4 \
 66	$(top_srcdir)/config/ac_rsh.m4 $(top_srcdir)/config/ac_sdr.m4 \
 67	$(top_srcdir)/config/ac_slurm.m4 \
 68	$(top_srcdir)/config/ac_socklen_t.m4 \
 69	$(top_srcdir)/config/ac_ssh.m4 \
 70	$(top_srcdir)/config/ac_static_modules.m4 \
 71	$(top_srcdir)/config/ac_torque.m4 \
 72	$(top_srcdir)/config/ac_xcpu.m4 \
 73	$(top_srcdir)/config/acx_pthread.m4 \
 74	$(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.ac
 75am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 76	$(ACLOCAL_M4)
 77mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
 78CONFIG_HEADER = $(top_builddir)/config.h
 79CONFIG_CLEAN_FILES =
 80SOURCES =
 81DIST_SOURCES =
 82RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 83	html-recursive info-recursive install-data-recursive \
 84	install-exec-recursive install-info-recursive \
 85	install-recursive installcheck-recursive installdirs-recursive \
 86	pdf-recursive ps-recursive uninstall-info-recursive \
 87	uninstall-recursive
 88ETAGS = etags
 89CTAGS = ctags
 90DIST_SUBDIRS = $(SUBDIRS)
 91DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 92ACLOCAL = @ACLOCAL@
 93AIX_PDSH_LDFLAGS = @AIX_PDSH_LDFLAGS@
 94AMDEP_FALSE = @AMDEP_FALSE@
 95AMDEP_TRUE = @AMDEP_TRUE@
 96AMTAR = @AMTAR@
 97AR = @AR@
 98AUTOCONF = @AUTOCONF@
 99AUTOHEADER = @AUTOHEADER@
100AUTOMAKE = @AUTOMAKE@
101AWK = @AWK@
102CC = @CC@
103CCDEPMODE = @CCDEPMODE@
104CFLAGS = @CFLAGS@
105CONNECT_TIMEOUT = @CONNECT_TIMEOUT@
106CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
107CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
108CPP = @CPP@
109CPPFLAGS = \
110	-I $(top_srcdir)
111
112CXX = @CXX@
113CXXCPP = @CXXCPP@
114CXXDEPMODE = @CXXDEPMODE@
115CXXFLAGS = @CXXFLAGS@
116CYGPATH_W = @CYGPATH_W@
117DEFS = @DEFS@
118DEPDIR = @DEPDIR@
119ECHO = @ECHO@
120ECHO_C = @ECHO_C@
121ECHO_N = @ECHO_N@
122ECHO_T = @ECHO_T@
123EGREP = @EGREP@
124ELAN_LIBS = @ELAN_LIBS@
125EXEEXT = @EXEEXT@
126F77 = @F77@
127FANOUT = @FANOUT@
128FFLAGS = @FFLAGS@
129GENDERS_LIBS = @GENDERS_LIBS@
130HAVE_LIBGENDERS = @HAVE_LIBGENDERS@
131HAVE_LIBNODEUPDOWN = @HAVE_LIBNODEUPDOWN@
132HAVE_MACHINES = @HAVE_MACHINES@
133HAVE_MQSHELL = @HAVE_MQSHELL@
134HAVE_MRSH = @HAVE_MRSH@
135HAVE_NODEATTR = @HAVE_NODEATTR@
136HAVE_QSHELL = @HAVE_QSHELL@
137HAVE_RMSQUERY = @HAVE_RMSQUERY@
138HAVE_SDR = @HAVE_SDR@
139HAVE_SLURM = @HAVE_SLURM@
140HAVE_SSH = @HAVE_SSH@
141HAVE_TORQUE = @HAVE_TORQUE@
142HAVE_XCPU = @HAVE_XCPU@
143INSTALL_DATA = @INSTALL_DATA@
144INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
145INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
146INSTALL_PROGRAM = @INSTALL_PROGRAM@
147INSTALL_SCRIPT = @INSTALL_SCRIPT@
148INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
149KRB_LIBS = @KRB_LIBS@
150LDFLAGS = @LDFLAGS@
151LIBADD_DL = @LIBADD_DL@
152LIBMODS_OBJS = @LIBMODS_OBJS@
153LIBOBJS = @LIBOBJS@
154LIBS = @LIBS@
155LIBTOOL = @LIBTOOL@
156LN_S = @LN_S@
157LTLIBOBJS = @LTLIBOBJS@
158MACHINES = @MACHINES@
159MAINT = @MAINT@
160MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
161MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
162MAKEINFO = @MAKEINFO@
163META_ALIAS = @META_ALIAS@
164META_AUTHOR = @META_AUTHOR@
165META_DATE = @META_DATE@
166META_LT_AGE = @META_LT_AGE@
167META_LT_CURRENT = @META_LT_CURRENT@
168META_LT_REVISION = @META_LT_REVISION@
169META_NAME = @META_NAME@
170META_RELEASE = @META_RELEASE@
171META_VERSION = @META_VERSION@
172MRSH_LIBS = @MRSH_LIBS@
173NODEATTR = @NODEATTR@
174NODEUPDOWN_LIBS = @NODEUPDOWN_LIBS@
175OBJEXT = @OBJEXT@
176PACKAGE = @PACKAGE@
177PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
178PACKAGE_NAME = @PACKAGE_NAME@
179PACKAGE_STRING = @PACKAGE_STRING@
180PACKAGE_TARNAME = @PACKAGE_TARNAME@
181PACKAGE_VERSION = @PACKAGE_VERSION@
182PATH_SEPARATOR = @PATH_SEPARATOR@
183PDSH_VERSION = @PDSH_VERSION@
184PDSH_VERSION_FULL = @PDSH_VERSION_FULL@
185PROG_MQSHD = @PROG_MQSHD@
186PROG_QSHD = @PROG_QSHD@
187PTHREAD_CC = @PTHREAD_CC@
188PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
189PTHREAD_LIBS = @PTHREAD_LIBS@
190QSHELL_LIBS = @QSHELL_LIBS@
191RANLIB = @RANLIB@
192READLINE_LIBS = @READLINE_LIBS@
193RMSQUERY = @RMSQUERY@
194SDRGETOBJECTS = @SDRGETOBJECTS@
195SET_MAKE = @SET_MAKE@
196SHELL = @SHELL@
197SLURM_LIBS = @SLURM_LIBS@
198STRIP = @STRIP@
199TORQUE_CPPFLAGS = @TORQUE_CPPFLAGS@
200TORQUE_LIBS = @TORQUE_LIBS@
201VERSION = @VERSION@
202WITH_DSHGROUP_FALSE = @WITH_DSHGROUP_FALSE@
203WITH_DSHGROUP_TRUE = @WITH_DSHGROUP_TRUE@
204WITH_EXEC_FALSE = @WITH_EXEC_FALSE@
205WITH_EXEC_TRUE = @WITH_EXEC_TRUE@
206WITH_GNU_LD_FALSE = @WITH_GNU_LD_FALSE@
207WITH_GNU_LD_TRUE = @WITH_GNU_LD_TRUE@
208WITH_KRB4_FALSE = @WITH_KRB4_FALSE@
209WITH_KRB4_TRUE = @WITH_KRB4_TRUE@
210WITH_LIBGENDERS_FALSE = @WITH_LIBGENDERS_FALSE@
211WITH_LIBGENDERS_TRUE = @WITH_LIBGENDERS_TRUE@
212WITH_LIBMUNGE_FALSE = @WITH_LIBMUNGE_FALSE@
213WITH_LIBMUNGE_TRUE = @WITH_LIBMUNGE_TRUE@
214WITH_MACHINES_FALSE = @WITH_MACHINES_FALSE@
215WITH_MACHINES_TRUE = @WITH_MACHINES_TRUE@
216WITH_MQSHELL_FALSE = @WITH_MQSHELL_FALSE@
217WITH_MQSHELL_TRUE = @WITH_MQSHELL_TRUE@
218WITH_MRSH_FALSE = @WITH_MRSH_FALSE@
219WITH_MRSH_TRUE = @WITH_MRSH_TRUE@
220WITH_NETGROUP_FALSE = @WITH_NETGROUP_FALSE@
221WITH_NETGROUP_TRUE = @WITH_NETGROUP_TRUE@
222WITH_NODEATTR_FALSE = @WITH_NODEATTR_FALSE@
223WITH_NODEATTR_TRUE = @WITH_NODEATTR_TRUE@
224WITH_NODEUPDOWN_FALSE = @WITH_NODEUPDOWN_FALSE@
225WITH_NODEUPDOWN_TRUE = @WITH_NODEUPDOWN_TRUE@
226WITH_QSHELL_FALSE = @WITH_QSHELL_FALSE@
227WITH_QSHELL_TRUE = @WITH_QSHELL_TRUE@
228WITH_QSW_FALSE = @WITH_QSW_FALSE@
229WITH_QSW_TRUE = @WITH_QSW_TRUE@
230WITH_READLINE_FALSE = @WITH_READLINE_FALSE@
231WITH_READLINE_TRUE = @WITH_READLINE_TRUE@
232WITH_RMS_FALSE = @WITH_RMS_FALSE@
233WITH_RMS_TRUE = @WITH_RMS_TRUE@
234WITH_RSH_FALSE = @WITH_RSH_FALSE@
235WITH_RSH_TRUE = @WITH_RSH_TRUE@
236WITH_SDR_FALSE = @WITH_SDR_FALSE@
237WITH_SDR_TRUE = @WITH_SDR_TRUE@
238WITH_SLURM_FALSE = @WITH_SLURM_FALSE@
239WITH_SLURM_TRUE = @WITH_SLURM_TRUE@
240WITH_SSH_FALSE = @WITH_SSH_FALSE@
241WITH_SSH_TRUE = @WITH_SSH_TRUE@
242WITH_STATIC_MODULES_FALSE = @WITH_STATIC_MODULES_FALSE@
243WITH_STATIC_MODULES_TRUE = @WITH_STATIC_MODULES_TRUE@
244WITH_TORQUE_FALSE = @WITH_TORQUE_FALSE@
245WITH_TORQUE_TRUE = @WITH_TORQUE_TRUE@
246WITH_XCPU_FALSE = @WITH_XCPU_FALSE@
247WITH_XCPU_TRUE = @WITH_XCPU_TRUE@
248ac_ct_AR = @ac_ct_AR@
249ac_ct_CC = @ac_ct_CC@
250ac_ct_CXX = @ac_ct_CXX@
251ac_ct_F77 = @ac_ct_F77@
252ac_ct_RANLIB = @ac_ct_RANLIB@
253ac_ct_STRIP = @ac_ct_STRIP@
254acx_pthread_config = @acx_pthread_config@
255am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
256am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
257am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
258am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
259am__include = @am__include@
260am__leading_dot = @am__leading_dot@
261am__quote = @am__quote@
262am__tar = @am__tar@
263am__untar = @am__untar@
264bindir = @bindir@
265build = @build@
266build_alias = @build_alias@
267build_cpu = @build_cpu@
268build_os = @build_os@
269build_vendor = @build_vendor@
270datadir = @datadir@
271exec_prefix = @exec_prefix@
272host = @host@
273host_alias = @host_alias@
274host_cpu = @host_cpu@
275host_os = @host_os@
276host_vendor = @host_vendor@
277includedir = @includedir@
278infodir = @infodir@
279install_sh = @install_sh@
280libdir = @libdir@
281libexecdir = @libexecdir@
282localstatedir = @localstatedir@
283mandir = @mandir@
284mkdir_p = @mkdir_p@
285oldincludedir = @oldincludedir@
286prefix = @prefix@
287program_transform_name = @program_transform_name@
288sbindir = @sbindir@
289sharedstatedir = @sharedstatedir@
290sysconfdir = @sysconfdir@
291target = @target@
292target_alias = @target_alias@
293target_cpu = @target_cpu@
294target_os = @target_os@
295target_vendor = @target_vendor@
296SUBDIRS = test-modules
297T = $(wildcard $(srcdir)/t[0-9]*.sh)
298TESTS = runtests.sh
299EXTRA_DIST = \
300    test-lib.sh \
301    aggregate-results.sh \
302    $(T)
303
304all: all-recursive
305
306.SUFFIXES:
307$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
308	@for dep in $?; do \
309	  case '$(am__configure_deps)' in \
310	    *$$dep*) \
311	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
312		&& exit 0; \
313	      exit 1;; \
314	  esac; \
315	done; \
316	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
317	cd $(top_srcdir) && \
318	  $(AUTOMAKE) --gnu  tests/Makefile
319.PRECIOUS: Makefile
320Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
321	@case '$?' in \
322	  *config.status*) \
323	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
324	  *) \
325	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
326	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
327	esac;
328
329$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
330	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
331
332$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
333	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
334$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
335	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
336
337mostlyclean-libtool:
338	-rm -f *.lo
339
340clean-libtool:
341	-rm -rf .libs _libs
342
343distclean-libtool:
344	-rm -f libtool
345uninstall-info-am:
346
347# This directory's subdirectories are mostly independent; you can cd
348# into them and run `make' without going through this Makefile.
349# To change the values of `make' variables: instead of editing Makefiles,
350# (1) if the variable is set in `config.status', edit `config.status'
351#     (which will cause the Makefiles to be regenerated when you run `make');
352# (2) otherwise, pass the desired values on the `make' command line.
353$(RECURSIVE_TARGETS):
354	@failcom='exit 1'; \
355	for f in x $$MAKEFLAGS; do \
356	  case $$f in \
357	    *=* | --[!k]*);; \
358	    *k*) failcom='fail=yes';; \
359	  esac; \
360	done; \
361	dot_seen=no; \
362	target=`echo $@ | sed s/-recursive//`; \
363	list='$(SUBDIRS)'; for subdir in $$list; do \
364	  echo "Making $$target in $$subdir"; \
365	  if test "$$subdir" = "."; then \
366	    dot_seen=yes; \
367	    local_target="$$target-am"; \
368	  else \
369	    local_target="$$target"; \
370	  fi; \
371	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
372	  || eval $$failcom; \
373	done; \
374	if test "$$dot_seen" = "no"; then \
375	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
376	fi; test -z "$$fail"
377
378mostlyclean-recursive clean-recursive distclean-recursive \
379maintainer-clean-recursive:
380	@failcom='exit 1'; \
381	for f in x $$MAKEFLAGS; do \
382	  case $$f in \
383	    *=* | --[!k]*);; \
384	    *k*) failcom='fail=yes';; \
385	  esac; \
386	done; \
387	dot_seen=no; \
388	case "$@" in \
389	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
390	  *) list='$(SUBDIRS)' ;; \
391	esac; \
392	rev=''; for subdir in $$list; do \
393	  if test "$$subdir" = "."; then :; else \
394	    rev="$$subdir $$rev"; \
395	  fi; \
396	done; \
397	rev="$$rev ."; \
398	target=`echo $@ | sed s/-recursive//`; \
399	for subdir in $$rev; do \
400	  echo "Making $$target in $$subdir"; \
401	  if test "$$subdir" = "."; then \
402	    local_target="$$target-am"; \
403	  else \
404	    local_target="$$target"; \
405	  fi; \
406	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
407	  || eval $$failcom; \
408	done && test -z "$$fail"
409tags-recursive:
410	list='$(SUBDIRS)'; for subdir in $$list; do \
411	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
412	done
413ctags-recursive:
414	list='$(SUBDIRS)'; for subdir in $$list; do \
415	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
416	done
417
418ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
419	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
420	unique=`for i in $$list; do \
421	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
422	  done | \
423	  $(AWK) '    { files[$$0] = 1; } \
424	       END { for (i in files) print i; }'`; \
425	mkid -fID $$unique
426tags: TAGS
427
428TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
429		$(TAGS_FILES) $(LISP)
430	tags=; \
431	here=`pwd`; \
432	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
433	  include_option=--etags-include; \
434	  empty_fix=.; \
435	else \
436	  include_option=--include; \
437	  empty_fix=; \
438	fi; \
439	list='$(SUBDIRS)'; for subdir in $$list; do \
440	  if test "$$subdir" = .; then :; else \
441	    test ! -f $$subdir/TAGS || \
442	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
443	  fi; \
444	done; \
445	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
446	unique=`for i in $$list; do \
447	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
448	  done | \
449	  $(AWK) '    { files[$$0] = 1; } \
450	       END { for (i in files) print i; }'`; \
451	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
452	  test -n "$$unique" || unique=$$empty_fix; \
453	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
454	    $$tags $$unique; \
455	fi
456ctags: CTAGS
457CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
458		$(TAGS_FILES) $(LISP)
459	tags=; \
460	here=`pwd`; \
461	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
462	unique=`for i in $$list; do \
463	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
464	  done | \
465	  $(AWK) '    { files[$$0] = 1; } \
466	       END { for (i in files) print i; }'`; \
467	test -z "$(CTAGS_ARGS)$$tags$$unique" \
468	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
469	     $$tags $$unique
470
471GTAGS:
472	here=`$(am__cd) $(top_builddir) && pwd` \
473	  && cd $(top_srcdir) \
474	  && gtags -i $(GTAGS_ARGS) $$here
475
476distclean-tags:
477	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
478
479check-TESTS: $(TESTS)
480	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
481	srcdir=$(srcdir); export srcdir; \
482	list='$(TESTS)'; \
483	if test -n "$$list"; then \
484	  for tst in $$list; do \
485	    if test -f ./$$tst; then dir=./; \
486	    elif test -f $$tst; then dir=; \
487	    else dir="$(srcdir)/"; fi; \
488	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
489	      all=`expr $$all + 1`; \
490	      case " $(XFAIL_TESTS) " in \
491	      *" $$tst "*) \
492		xpass=`expr $$xpass + 1`; \
493		failed=`expr $$failed + 1`; \
494		echo "XPASS: $$tst"; \
495	      ;; \
496	      *) \
497		echo "PASS: $$tst"; \
498	      ;; \
499	      esac; \
500	    elif test $$? -ne 77; then \
501	      all=`expr $$all + 1`; \
502	      case " $(XFAIL_TESTS) " in \
503	      *" $$tst "*) \
504		xfail=`expr $$xfail + 1`; \
505		echo "XFAIL: $$tst"; \
506	      ;; \
507	      *) \
508		failed=`expr $$failed + 1`; \
509		echo "FAIL: $$tst"; \
510	      ;; \
511	      esac; \
512	    else \
513	      skip=`expr $$skip + 1`; \
514	      echo "SKIP: $$tst"; \
515	    fi; \
516	  done; \
517	  if test "$$failed" -eq 0; then \
518	    if test "$$xfail" -eq 0; then \
519	      banner="All $$all tests passed"; \
520	    else \
521	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
522	    fi; \
523	  else \
524	    if test "$$xpass" -eq 0; then \
525	      banner="$$failed of $$all tests failed"; \
526	    else \
527	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
528	    fi; \
529	  fi; \
530	  dashes="$$banner"; \
531	  skipped=""; \
532	  if test "$$skip" -ne 0; then \
533	    skipped="($$skip tests were not run)"; \
534	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
535	      dashes="$$skipped"; \
536	  fi; \
537	  report=""; \
538	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
539	    report="Please report to $(PACKAGE_BUGREPORT)"; \
540	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
541	      dashes="$$report"; \
542	  fi; \
543	  dashes=`echo "$$dashes" | sed s/./=/g`; \
544	  echo "$$dashes"; \
545	  echo "$$banner"; \
546	  test -z "$$skipped" || echo "$$skipped"; \
547	  test -z "$$report" || echo "$$report"; \
548	  echo "$$dashes"; \
549	  test "$$failed" -eq 0; \
550	else :; fi
551
552distdir: $(DISTFILES)
553	$(mkdir_p) $(distdir)/$(srcdir)
554	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
555	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
556	list='$(DISTFILES)'; for file in $$list; do \
557	  case $$file in \
558	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
559	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
560	  esac; \
561	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
562	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
563	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
564	    dir="/$$dir"; \
565	    $(mkdir_p) "$(distdir)$$dir"; \
566	  else \
567	    dir=''; \
568	  fi; \
569	  if test -d $$d/$$file; then \
570	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
571	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
572	    fi; \
573	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
574	  else \
575	    test -f $(distdir)/$$file \
576	    || cp -p $$d/$$file $(distdir)/$$file \
577	    || exit 1; \
578	  fi; \
579	done
580	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
581	  if test "$$subdir" = .; then :; else \
582	    test -d "$(distdir)/$$subdir" \
583	    || $(mkdir_p) "$(distdir)/$$subdir" \
584	    || exit 1; \
585	    distdir=`$(am__cd) $(distdir) && pwd`; \
586	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
587	    (cd $$subdir && \
588	      $(MAKE) $(AM_MAKEFLAGS) \
589	        top_distdir="$$top_distdir" \
590	        distdir="$$distdir/$$subdir" \
591	        distdir) \
592	      || exit 1; \
593	  fi; \
594	done
595check-am: all-am
596	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
597check: check-recursive
598all-am: Makefile
599installdirs: installdirs-recursive
600installdirs-am:
601install: install-recursive
602install-exec: install-exec-recursive
603install-data: install-data-recursive
604uninstall: uninstall-recursive
605
606install-am: all-am
607	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
608
609installcheck: installcheck-recursive
610install-strip:
611	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
612	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
613	  `test -z '$(STRIP)' || \
614	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
615mostlyclean-generic:
616
617clean-generic:
618
619distclean-generic:
620	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
621
622maintainer-clean-generic:
623	@echo "This command is intended for maintainers to use"
624	@echo "it deletes files that may require special tools to rebuild."
625clean: clean-recursive
626
627clean-am: clean-generic clean-libtool clean-local mostlyclean-am
628
629distclean: distclean-recursive
630	-rm -f Makefile
631distclean-am: clean-am distclean-generic distclean-libtool \
632	distclean-tags
633
634dvi: dvi-recursive
635
636dvi-am:
637
638html: html-recursive
639
640info: info-recursive
641
642info-am:
643
644install-data-am:
645
646install-exec-am:
647
648install-info: install-info-recursive
649
650install-man:
651
652installcheck-am:
653
654maintainer-clean: maintainer-clean-recursive
655	-rm -f Makefile
656maintainer-clean-am: distclean-am maintainer-clean-generic
657
658mostlyclean: mostlyclean-recursive
659
660mostlyclean-am: mostlyclean-generic mostlyclean-libtool
661
662pdf: pdf-recursive
663
664pdf-am:
665
666ps: ps-recursive
667
668ps-am:
669
670uninstall-am: uninstall-info-am
671
672uninstall-info: uninstall-info-recursive
673
674.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-TESTS \
675	check-am clean clean-generic clean-libtool clean-local \
676	clean-recursive ctags ctags-recursive distclean \
677	distclean-generic distclean-libtool distclean-recursive \
678	distclean-tags distdir dvi dvi-am html html-am info info-am \
679	install install-am install-data install-data-am install-exec \
680	install-exec-am install-info install-info-am install-man \
681	install-strip installcheck installcheck-am installdirs \
682	installdirs-am maintainer-clean maintainer-clean-generic \
683	maintainer-clean-recursive mostlyclean mostlyclean-generic \
684	mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
685	tags tags-recursive uninstall uninstall-am uninstall-info-am
686
687
688clean-local:
689	rm -fr trash-directory.* test-results .prove
690# Tell versions [3.59,3.63) of GNU make to not export all variables.
691# Otherwise a system limit (for SysV at least) may be exceeded.
692.NOEXPORT: